Package org.eclipse.lemminx.client

## Enum PathFeature

- java.lang.Object
- - java.lang.Enum<PathFeature>
  - - org.eclipse.lemminx.client.PathFeature

All Implemented Interfaces:
  `Serializable`, `Comparable<PathFeature>`, `IXMLSettingFeature`

    public enum PathFeature
    extends Enum<PathFeature>
    implements IXMLSettingFeature

Features that are associated with filePaths For example, XML catalog support is associated with XML catalog filePaths

### Enum Constant Summary

Enum Constants
`CATALOGS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()` Returns a displayable name for this feature
`String` `getSettingId()` Returns the related settingId for this feature
`static PathFeature` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PathFeature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CATALOGS

    public static final PathFeature CATALOGS

### Method Detail

#### values

    public static PathFeature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PathFeature c : PathFeature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PathFeature valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Description copied from interface: `IXMLSettingFeature`
Returns a displayable name for this feature

Specified by:
  `getName` in interface `IXMLSettingFeature`
Returns:
  a displayable name for this feature

#### getSettingId

    public String getSettingId()

Description copied from interface: `IXMLSettingFeature`
Returns the related settingId for this feature

Specified by:
  `getSettingId` in interface `IXMLSettingFeature`
Returns:
  the related settingId for this feature